VTF2PROFILE(1)

NAME
vtf2profile - Generate a TAU profile set from a vampir trace file

SYNOPSIS

vtf2profile [-p profile] [-i interval_start interval_end] [-c] [-h] {-f tracefile}

DESCRIPTION

vtf2profile is created when TAU is configured with the -vtf=<vtf_dir> option. This tool converts a VTF trace file (*.vpt) to a tau profile set (profile.A.B.C where A, B and C are the node, context and thread numbers respectively).

The vtf file to be read is specified in the command line by the -f flag followed by the file's location. The VTF tracefile specified may be in gzipped form, eg app.vpt.gz. -p is similarly used to specify the relative path to the directory where the profile files should be stored. If no output directory is specified the current directory will be used. A contiguous interval within the vtf file may be selected for conversion by using the -i flag followed by two integers, representing the timestamp of the start and end of the desired interval respectively. The entire vtf file is converted if no interval is given.

OPTIONS

-f tracefile -Specify the Vampir tracefile to be converted.

-p profile -Specify the location where the profile file(s) should be written.

-i interval_start interval_end -Limit the profile produced to the specified interval within the vampir trace file.

-c -Opens a command line interface for the program.

-h -Displays a help message.

EXAMPLES

To convert a vampir tracefile, trace.vpt, to an equivalent TAU profile, use the following:

vtf2profile -f trace.vpt

To produce a TAU profile in the ./profiles directory representing only the events from the start of the tracefile to timestamp 6000, use:

vtf2profile -f trace.vpt -p ./profiles -i 0 6000

SEE ALSO

tau2vtf(1), tau2profile(1)